MS15-118:适用于 Windows 7 SP1、Windows Server 2008 R2 SP1、Windows Vista SP2 和 Windows Server 2008 SP2 的 .NET Framework 4.5、4.5.1 和 4.5.2 安全更新程序说明:2015 年 11 月 10 日

概要
此更新程序修复了 Microsoft .NET Framework 中的多个漏洞。如果攻击者在用户的浏览器中注入客户端脚本,那么这些漏洞中最严重的漏洞可能允许特权提升。若要详细了解此类漏洞,请参阅 Microsoft 安全公告 MS15-118

若要安装此更新程序,您必须在计算机上安装 Windows Installer 3.1 或更高版本

如何获取和安装此更新程序

方法 1:Windows 更新

您可以通过 Windows 更新获取此更新程序。在您开启自动更新后,系统会自动下载并安装此更新程序。若要详细了解如何开启自动更新,请参阅自动获取安全更新程序

方法 2:Microsoft 下载中心

您可以通过 Microsoft 下载中心获取独立的更新程序包。若要安装此更新程序,请按照下载页上的安装说明操作。

下载下载安全更新程序 3097996

更新程序部署信息

有关此更新程序的部署信息,请参阅 Microsoft 知识库文章3104507.

更新程序删除信息

注意 我们不建议您删除任何安全更新程序。

若要删除此更新,请使用“控制面板”中的“程序和功能”项。

更新程序重启信息

仅当正在更新的文件被锁定或正在使用时,才需要在应用此安全更新程序之后重启系统。

更新替换信息

此更新不替换之前发布的任何更新。

文件信息

此更新的英语(美国)版本将安装具有下表所列属性的文件。 这些文件的日期和时间按协调世界时 (UTC) 列出。这些文件在您的本地计算机中的显示日期和时间是您的本地时间加上当前夏令时 (DST) 偏差。此外,如果对这些文件执行某些操作,日期和时间可能会更改。

对于所有受支持的基于 x86 的系统版本

GDR 服务分支
File nameFile versionFile sizeDateTime
dfdll.dll4.0.30319.34280141,97613-Oct-201509:37
System.Deployment.dll4.0.30319.34280844,48813-Oct-201508:29
LDR 服务分支
File nameFile versionFile sizeDateTime
dfdll.dll4.0.30319.36330141,97613-Oct-201506:55
System.Deployment.dll4.0.30319.36330844,48813-Oct-201505:55

对于所有受支持的基于 x64 的系统版本

GDR 服务分支
File nameFile versionFile sizeDateTime
dfdll.dll4.0.30319.34280165,52813-Oct-201509:54
dfdll.dll4.0.30319.34280141,97613-Oct-201509:37
System.Deployment.dll4.0.30319.34280844,48813-Oct-201508:29
LDR 服务分支
File nameFile versionFile sizeDateTime
dfdll.dll4.0.30319.36330165,52813-Oct-201507:09
dfdll.dll4.0.30319.36330141,97613-Oct-201506:55
System.Deployment.dll4.0.30319.36330844,48813-Oct-201505:55

如何获取此安全更新的相关帮助和支持

安装更新帮助:Microsoft Update 支持

适用于 IT 专业人员的安全解决方案:TechNet 安全疑难解答和支持

帮助保护您基于 Windows 的计算机不受病毒和恶意软件的侵害:病毒解决方案和安全中心

基于国家/地区的本地支持:国际支持

适用范围

本文适用于以下产品:
  • Microsoft .NET Framework 4.5.2,与以下版本一起使用时:
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
  • Microsoft .NET Framework 4.5.1,与以下版本一起使用时:
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
  • Microsoft .NET Framework 4.5,与以下版本一起使用时:
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
属性

文章 ID:3097996 - 上次审阅时间:12/04/2015 14:46:00 - 修订版本: 3.0

Microsoft .NET Framework 4.5.1

  • kbsecvulnerability kbsecurity kbsecbulletin kbfix kbexpertiseinter kbbug atdownload KB3097996
反馈